2 u014737660 u014737660 于 2014.09.11 18:11 提问

Android Studio找不到FragmentActivity类

FragmentActivity类是在android.support.v4中的,但是我没办法import到程序中,根据网上的说明要导入jar包,但是我发现在Android Studio\sdk\extras\android\support\v4中已经存在了,为什么还是无法使用,这个类到底如何使用

4个回答

u010906636
u010906636   2015.09.15 16:03

我的电脑是苹果的,我是这样的解决,你看看能不能有用。
右击项目——》open module settings——》选择第五个选项卡“Dependencies”——》点击加号——》选择第一个Library dependency
——》我选择的V4的版本是“com.android.support:support-v4:23.0.2”——》导入后使用快捷键alt+enter即可。
如果还是无法导入,就是SDK更新的问题。

u012131702
u012131702   2014.12.28 18:50

找到android.support.v4的包,添加到libs文件夹中,点击这个文件包,右键,设置为Library就行了

u012131702
u012131702 回复u012131702: 旧版本的好像很难,现在版本的,按alt+enter就行了……真心无力
3 年多之前 回复
u012131702
u012131702 看错题目,对不起,这个………………好像点击工程填充什么的,等我研究一下
3 年多之前 回复
xiaokugua_250
xiaokugua_250   2014.11.25 21:44

我也遇到这个问题,不知楼主有没有解决,如果解决了请告知一下解决方法。^_^

u014737660
u014737660 这个类在现在的API中已经废弃了,不推荐使用,直接用Fragment实现
3 年多之前 回复
Arthur_ZBY
Arthur_ZBY   2016.09.10 19:17

同问!解决的话麻烦请告知一声,小弟在这里多谢了......

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
AndroidStudio 找不到FragmentActivity
app项目中 包含library  ,library中包含v4的jar包 但是项目中的FragmentActivity报错找不到,项目还是可以运行的 解决方案: 删掉jar包 在library中build.gradle中加入 compile 'com.android.support:support-v4:24.0.0-beta1' 看来AndroidStudio……
AndroidStudio android.support.v4.app.FragmentActivity中ActionBar右侧不显示选项的问题
昨天做actionbar相关的东西,突然发现死活不在actionbar的右边显示选项Item,今天终于解决了,先把出现问题时的情况说明一下。 module的build.gradle如下: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.
android.support.v4.app.FragmentActivity 获取不到问题;
在使用androidstudio 时发现找不到FragmentActivity,于是纠结了,studio默认不是自动的吗? 后来发现需要在build.gradle中配置,根据自己的SDK对号入座就行; 在library中build.gradle配置 dependencies{ compile 'com.android.support:support-v4:25.3.1-a
Android 继承FragmentActivity报错
Solution: Ok so when you extending the FragmentActivity for your application with the version of 2.2 or any lower version which did not support the Fragment for that. You can download the android.s
FragmentActivity类的使用
我使用的开发软件是 Android Studio  所以我的依赖是这样的: compile 'com.android.support:appcompat-v7:22.2.1' compile 'com.android.support:design:22.2.1' compile 'com.jakewharton:butterknife:7.0.1' (ps:butterknife 是一个
Error:程序包android.support.v4.app不存在;Error:找不到类FragmentActivity
最近把在eclipse中开发的android项目导入到AS中,出现了一点小错误。用的是以非gradle方式将 Eclipse 项目导入Android Studio,具体方法参考http://blog.csdn.net/sddyljsx/article/details/45047565,该方法很方便快捷,这里不作赘述。在AS中首相build该项目(养成build的习惯非常有好处),messages中提
详解Activity和FragmentActivity的区别
原文来自以StackOverflow,链接http://stackoverflow.com/questions/10609268/difference-between-fragment-and-fragmentactivity   Fragment是Activity的一部分,它拥有: l  自己的生命周期 l  响应自己的输入事件 l  可在Activity运行时加载或移除   Fr
Fragment、FragmentActivity 和Actvity区别
1.fragment是Android4.0以上才有的;fragment是为了适应Android碎片化所采用的技术(开发的应用在平板上显示的不是太丑) 2.FragmentActivity是为了兼容4.0以下版本的Fragment使用的。所以如果想兼容4.0以下Android版本使用Fragment的话,框架Activity需要继承FragmentActivity,该类在android.suppo
android 找不到启动activity
修改一下启动activity  任意一个地方  重新编译
在fragment中调用getSupportActionBar (com.android.support:appcompat-v7)
if someone uses com.android.support:appcompat-v7: and AppCompatActivity as activity then this works android.support.v7.app.ActionBar actionbar=((AppCompatActivity)getActivity()).getSupportActionBar